### Method

# Soup MessageHeaders get_expectations

#### Declaration [src]

    SoupExpectation
    soup_message_headers_get_expectations (
      SoupMessageHeaders* hdrs
    )

#### Description [src]

Gets the expectations declared by `hdrs`‘s “Expect” header.

Currently this will either be `SOUP_EXPECTATION_CONTINUE` or `SOUP_EXPECTATION_UNRECOGNIZED`.

#### Return value

Type: `SoupExpectation`

The contents of `hdrs`‘s “Expect” header.